<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    include "../mail.php";
    $nome = $_POST['nome'];
    $sobrenome = $_POST['sobrenome'];
    $usuario = $_POST['usuario'];
    $senha = $_POST['senha'];
    $csenha = $_POST['csenha'];
    $email = $_POST['email'];
    $unidade = $_POST['unidade'];
    $nivel = $_POST['nivel'];
    $ativo = $_POST['ativo'];
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    $busca_select=$pdo_sgt->prepare("SELECT * FROM tb_usuarios WHERE usuario=:usuario");
    $busca_select->bindValue(":usuario",$usuario);
    $busca_select->execute();
    $dados_select=$busca_select->fetch(PDO::FETCH_ASSOC);
    if($senha != $csenha){
        echo"<script language='javascript' type='text/javascript'>
            alert('As senhas não coincidem!');
            window.history.go(-1)>Volta;
        </script>";
    }else{
        if($dados_select['usuario'] == $usuario){
            echo"<script language='javascript' type='text/javascript'>
                alert('Este usuário já existe!');
                window.history.go(-1)>Volta;
            </script>";
            die();
        }else{
            $emailuser = $_SESSION['usuarioLogin'];
            $emailsenha = $senha;
            $senha = md5($senha).$userpasssgt;
            $query = "INSERT
                INTO tb_usuarios (usuario,senha,nome,sobrenome,email,unidade,unid_temp,nivel,ativo)
                VALUES (:usuario,:senha,:nome,:sobrenome,:email,:unidade,:unidade,:nivel,:ativo)";
            $query=$pdo_sgt->prepare("$query");
            $query->bindValue(":usuario",$usuario);
            $query->bindValue(":senha",$senha);
            $query->bindValue(":nome",$nome);
            $query->bindValue(":sobrenome",$sobrenome);
            $query->bindValue(":email",$email);
            $query->bindValue(":unidade",$unidade);
            $query->bindValue(":nivel",$nivel);
            $query->bindValue(":ativo",$ativo);
            $query->execute();
            $mensagem = "Dados inseridos na tabela: tb_usuarios - "
                    . "Para os campos: usuario, senha, nome, sobrenome, email, unidade, unid_temp, nivel, ativo - "
                    . "Com os seguintes valores: $usuario, $senha, $nome, $sobrenome, $email, $unidade, $unidade, $nivel, $ativo";
            salvaLog($mensagem);
            # Define os destinatário(s)
            $email_nome_sobrenome = "$nome $sobrenome";
            $mail->AddAddress("$email", "$email_nome_sobrenome"); # Os campos podem ser substituidos por variáveis
            #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
            #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
            #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
            # Define os dados técnicos da Mensagem
            $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
            #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
            # Define a mensagem (Texto e Assunto)
            // Compo E-mail
            $emailcormpo = '<html><body>';
            $emailcormpo .= '<h2 style="color:#000000;">Olá '.$email_nome_sobrenome.'!</h2>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">Seu Usuário para os SGT foi criado.</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">Seu usuário: '.$usuario.'</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">Sua senha: '.$emailsenha.'</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">Faça seu <a href="'.$sgturl.'">login</a>.</p>';
            $emailcormpo .= '</body></html>';
            $mail->Subject = utf8_decode("Seu Usuário - SGT"); # Assunto da mensagem
            $mail->Body = utf8_decode("$emailcormpo");
            $mail->AltBody = utf8_decode("$emailcormpo");
            # Define os anexos (opcional)
            #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
            # Envia o e-mail
            $enviado = $mail->Send();
            # Limpa os destinatários e os anexos
            $mail->ClearAllRecipients();
            $mail->ClearAttachments();
            echo"<script language='javascript' type='text/javascript'>
                alert('Usuário cadastrado com sucesso! Um e-Mail foi enviado para o novo usuário com seus dados e senha.');
                window.location.href='list_user.php';
            </script>";
        }
    }
?>